package cn.freemud.util;

public class RedisUtil {
    private final static String BASE_URL = "micro_program:";
    private final static String ENTER_SHOP_KEY = BASE_URL + "ENTER_SHOP_KEY_";
    private final static String JOIN_FISSION_ACTIVITIES_KEY = BASE_URL + "JOIN_FISSION_ACTIVITIES_KEY_";
    private final static String COUPON_APP_SECRET = "coupon:app_secret_";

    public static String getEnterShopKey(String userId) {
        return ENTER_SHOP_KEY + userId;
    }

    public static String getJoinFissionActivitiesKey(String userId) {
        return JOIN_FISSION_ACTIVITIES_KEY + userId;
    }

    public static String getCouponAppSecret(String partnerId) {
        return COUPON_APP_SECRET + partnerId;
    }
}
